
public class Model {

	private int baseservo = 0;
	private double basepos = 102.0;
	private double basepos_def = basepos;
	private double basepos_max = 208.0;
	private double basepos_min = 30.0;
	private double basepos_acc = 350.0;
	private double basepos_vel = 200; //160.0; // 190
	private double basepos_res = 5.0; // 7
	private double basepos_current = 0.0;
	
	private int armservo = 1;
	private double armpos = 110.0;
	private double armpos_def = armpos;
	private double armpos_max = 135.0;
	private double armpos_min = 87.0;
	private double armpos_acc = 350;
	private double armpos_vel = 999.0;
	private double armpos_res = basepos_res*0.6;
	private double armpos_current = 0.0;
	
	private int headservo = 2;
	private double headpos = 116.0;
	private double headpos_def = headpos;
	private double headpos_max = headpos+45;
	private double headpos_min = headpos-45;
	private double headpos_range_ang = 45;
	private double headpos_max_absolute = 208;
	private double headpos_min_absolute = 30;
	private double headpos_acc = armpos_acc*1.7;
	private double headpos_vel = 999.0;
	private double headpos_res = 5.0;
	private double headpos_current = 0.0;
	
	private int pumpoutput = 0;
	private boolean pump = false;
	private boolean pump_def = pump;
	
	private int triggeroutput = 1;
	private boolean trigger = false;
	private boolean trigger_def = trigger;
	
	private boolean engage = true;
	private boolean engage_def = true;
	
	private String address;
	private boolean connected = false;
	private String server_pass = "yeeey";
	
	public int getBaseservo() {
		return baseservo;
	}
	public void setBaseservo(int baseservo) {
		this.baseservo = baseservo;
	}
	public double getBasepos() {
		return basepos;
	}
	public void setBasepos(double basepos) {
		this.basepos = basepos;
	}
	public double getBasepos_def() {
		return basepos_def;
	}
	public void setBasepos_def(double basepos_def) {
		this.basepos_def = basepos_def;
	}
	public double getBasepos_max() {
		return basepos_max;
	}
	public void setBasepos_max(double basepos_max) {
		this.basepos_max = basepos_max;
	}
	public double getBasepos_min() {
		return basepos_min;
	}
	public void setBasepos_min(double basepos_min) {
		this.basepos_min = basepos_min;
	}
	public double getBasepos_acc() {
		return basepos_acc;
	}
	public void setBasepos_acc(double basepos_acc) {
		this.basepos_acc = basepos_acc;
	}
	public double getBasepos_vel() {
		return basepos_vel;
	}
	public void setBasepos_vel(double basepos_vel) {
		this.basepos_vel = basepos_vel;
	}
	public double getBasepos_res() {
		return basepos_res;
	}
	public void setBasepos_res(double basepos_res) {
		this.basepos_res = basepos_res;
	}
	public double getBasepos_current() {
		return basepos_current;
	}
	public void setBasepos_current(double basepos_current) {
		this.basepos_current = basepos_current;
	}
	public int getArmservo() {
		return armservo;
	}
	public void setArmservo(int armservo) {
		this.armservo = armservo;
	}
	public double getArmpos() {
		return armpos;
	}
	public void setArmpos(double armpos) {
		this.armpos = armpos;
	}
	public double getArmpos_def() {
		return armpos_def;
	}
	public void setArmpos_def(double armpos_def) {
		this.armpos_def = armpos_def;
	}
	public double getArmpos_max() {
		return armpos_max;
	}
	public void setArmpos_max(double armpos_max) {
		this.armpos_max = armpos_max;
	}
	public double getArmpos_min() {
		return armpos_min;
	}
	public void setArmpos_min(double armpos_min) {
		this.armpos_min = armpos_min;
	}
	public double getArmpos_acc() {
		return armpos_acc;
	}
	public void setArmpos_acc(double armpos_acc) {
		this.armpos_acc = armpos_acc;
	}
	public double getArmpos_vel() {
		return armpos_vel;
	}
	public void setArmpos_vel(double armpos_vel) {
		this.armpos_vel = armpos_vel;
	}
	public double getArmpos_res() {
		return armpos_res;
	}
	public void setArmpos_res(double armpos_res) {
		this.armpos_res = armpos_res;
	}
	public double getArmpos_current() {
		return armpos_current;
	}
	public void setArmpos_current(double armpos_current) {
		this.armpos_current = armpos_current;
	}
	public int getHeadservo() {
		return headservo;
	}
	public void setHeadservo(int headservo) {
		this.headservo = headservo;
	}
	public double getHeadpos() {
		return headpos;
	}
	public void setHeadpos(double headpos) {
		this.headpos = headpos;
	}
	public double getHeadpos_def() {
		return headpos_def;
	}
	public void setHeadpos_def(double headpos_def) {
		this.headpos_def = headpos_def;
	}
	public double getHeadpos_max() {
		return headpos_max;
	}
	public void setHeadpos_max(double headpos_max) {
		this.headpos_max = headpos_max;
	}
	public double getHeadpos_min() {
		return headpos_min;
	}
	public void setHeadpos_min(double headpos_min) {
		this.headpos_min = headpos_min;
	}
	public double getHeadpos_max_absolute() {
		return headpos_max_absolute;
	}
	public void setHeadpos_max_absolute(double headpos_max_absolute) {
		this.headpos_max_absolute = headpos_max_absolute;
	}
	public double getHeadpos_min_absolute() {
		return headpos_min_absolute;
	}
	public void setHeadpos_min_absolute(double headpos_min_absolute) {
		this.headpos_min_absolute = headpos_min_absolute;
	}
	public double getHeadpos_acc() {
		return headpos_acc;
	}
	public void setHeadpos_acc(double headpos_acc) {
		this.headpos_acc = headpos_acc;
	}
	public double getHeadpos_vel() {
		return headpos_vel;
	}
	public void setHeadpos_vel(double headpos_vel) {
		this.headpos_vel = headpos_vel;
	}
	public double getHeadpos_res() {
		return headpos_res;
	}
	public void setHeadpos_res(double headpos_res) {
		this.headpos_res = headpos_res;
	}
	public double getHeadpos_current() {
		return headpos_current;
	}
	public void setHeadpos_current(double headpos_current) {
		this.headpos_current = headpos_current;
	}
	public int getPumpoutput() {
		return pumpoutput;
	}
	public void setPumpoutput(int pumpoutput) {
		this.pumpoutput = pumpoutput;
	}
	public boolean isPump() {
		return pump;
	}
	public void setPump(boolean pump) {
		this.pump = pump;
	}
	public boolean isPump_def() {
		return pump_def;
	}
	public void setPump_def(boolean pump_def) {
		this.pump_def = pump_def;
	}
	public int getTriggeroutput() {
		return triggeroutput;
	}
	public void setTriggeroutput(int triggeroutput) {
		this.triggeroutput = triggeroutput;
	}
	public boolean isTrigger() {
		return trigger;
	}
	public void setTrigger(boolean trigger) {
		this.trigger = trigger;
	}
	public boolean isTrigger_def() {
		return trigger_def;
	}
	public void setTrigger_def(boolean trigger_def) {
		this.trigger_def = trigger_def;
	}
	public boolean isEngage() {
		return engage;
	}
	public void setEngage(boolean engage) {
		this.engage = engage;
	}
	public boolean isEngage_def() {
		return engage_def;
	}
	public void setEngage_def(boolean engage_def) {
		this.engage_def = engage_def;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getServer_pass() {
		return server_pass;
	}
	public boolean isConnected() {
		return connected;
	}
	public void setConnected(boolean connected) {
		this.connected = connected;
	}
	public double getHeadpos_range_ang() {
		return headpos_range_ang;
	}
	public void setHeadpos_range_ang(double headpos_range_ang) {
		this.headpos_range_ang = headpos_range_ang;
	}
	
}
